Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Class AbstractTransferAdapterProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.dnd.core.AbstractTransferAdapterProvider

All Implemented Interfaces:
  IProvider, org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider

    public class AbstractTransferAdapterProvider

extends AbstractProvider
implements org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider

The abstract parent of all concrete transfer adapter providers. A concrete provider needs to override the `getTransferDragSourceAdapter()` and `getTransferDropTargetAdapter` methods. The `provides` method has a default implementation. The `provides()` method is already handled by the proxy for the provider (`TransferAdapterService.ProviderDescriptor`). The proxy contains all the information necessary for the `provides()` method.

Constructor Summary
`AbstractTransferAdapterProvider()` Constructor for AbstractTransferAdapterProvider.

Method Summary
`ITransferDragSourceListener` `getTransferDragSourceAdapter(java.lang.String transferId)` Returns a `ITransferDragSourceListener` for the given transfer id
`ITransferDropTargetListener` `getTransferDropTargetAdapter(java.lang.String transferId)` Returns a `ITransferDropTargetListener` for the given transfer id
`boolean` `provides(IOperation operation)` Indicates whether this provider provides the specified operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractTransferAdapterProvider

    public AbstractTransferAdapterProvider()

  Constructor for AbstractTransferAdapterProvider.

Method Detail

### getTransferDragSourceAdapter

    public ITransferDragSourceListener getTransferDragSourceAdapter(java.lang.String transferId)

  Description copied from interface: `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Returns a `ITransferDragSourceListener` for the given transfer id

  Specified by:
    `getTransferDragSourceAdapter` in interface `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Parameters:
    `transferId` - the transfer id
  Returns:
    Returns a `ITransferDragSourceListener`

### getTransferDropTargetAdapter

    public ITransferDropTargetListener getTransferDropTargetAdapter(java.lang.String transferId)

  Description copied from interface: `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Returns a `ITransferDropTargetListener` for the given transfer id

  Specified by:
    `getTransferDropTargetAdapter` in interface `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Parameters:
    `transferId` - the transfer id
  Returns:
    Returns a `ITransferDropTargetListener`

### provides

    public final boolean provides(IOperation operation)

  Description copied from interface: `IProvider`
  Indicates whether this provider provides the specified operation.

  Providers generally cast the operation to a service specific `IOperation`-derived class in order to determine whether they support the request.

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.